summaryrefslogtreecommitdiffstats
path: root/source/xap/gkrellm
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/gkrellm')
-rwxr-xr-xsource/xap/gkrellm/gkrellm.SlackBuild40
-rw-r--r--source/xap/gkrellm/slack-desc6
2 files changed, 31 insertions, 15 deletions
diff --git a/source/xap/gkrellm/gkrellm.SlackBuild b/source/xap/gkrellm/gkrellm.SlackBuild
index f01e4f349..391574ec9 100755
--- a/source/xap/gkrellm/gkrellm.SlackBuild
+++ b/source/xap/gkrellm/gkrellm.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.3.7
-PKGVER=2.3.7
-BUILD=${BUILD:-1}
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=gkrellm
+VERSION=${VERSION:-$(echo $PKGNAM-2*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+PKGVER=$VERSION
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,13 +37,20 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-gkrellm
@@ -70,10 +80,16 @@ make \
INCLUDEDIR=/usr/include \
MANDIR=/usr/man/man1 \
LOCALEDIR=/usr/share/locale \
- PKGCONFIGDIR=/usr/lib${LIBDIRSUFFIX}/pkgconfig
+ PKGCONFIGDIR=/usr/lib${LIBDIRSUFFIX}/pkgconfig || exit 1
# We will need this installed to build plugins, so...
-make install
+make install \
+ INSTALLROOT=/usr \
+ INSTALLDIR=/usr/bin \
+ INCLUDEDIR=/usr/include \
+ MANDIR=/usr/man/man1 \
+ LOCALEDIR=/usr/share/locale \
+ PKGCONFIGDIR=/usr/lib${LIBDIRSUFFIX}/pkgconfig || exit 1
# Install to the $PKG dir:
make install \
@@ -82,13 +98,13 @@ make install \
INCLUDEDIR=$PKG/usr/include \
MANDIR=$PKG/usr/man/man1 \
LOCALEDIR=$PKG/usr/share/locale \
- PKGCONFIGDIR=$PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+ PKGCONFIGDIR=$PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig || exit 1
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/gkrellm2/plugins
mkdir -p $PKG/usr/doc/gkrellm-$VERSION
cp -a \
- COPYRIGHT CREDITS INSTALL README Themes.html \
+ COPYRIGHT CREDITS INSTALL README* Themes.html \
$PKG/usr/doc/gkrellm-$VERSION
# If there's a ChangeLog, installing at least part of the recent history
@@ -106,7 +122,7 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Add optional plugin(s):
# The countdown plugin is needed to track X-Day. ;-)
-COUNTDOWN=0.1.1
+COUNTDOWN=0.1.2
cd $TMP
rm -rf gkrellm-countdown
tar xf $CWD/gkrellm-countdown-$COUNTDOWN.tar.gz || exit 1
@@ -117,7 +133,7 @@ find . \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-make
+make || exit 1
cp gkrellm-countdown.so $PKG/usr/lib${LIBDIRSUFFIX}/gkrellm2/plugins
mkdir -p $PKG/usr/doc/gkrellm-countdown-$COUNTDOWN
diff --git a/source/xap/gkrellm/slack-desc b/source/xap/gkrellm/slack-desc
index 3540eb6a5..4a381575a 100644
--- a/source/xap/gkrellm/slack-desc
+++ b/source/xap/gkrellm/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|